Bug 704926 - Many /usr/include/rpc/*.h headers missing from glibc-headers
Summary: Many /usr/include/rpc/*.h headers missing from glibc-headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-16 03:05 UTC by Peng Tao
Modified: 2016-11-24 16:02 UTC (History)
7 users (show)

Fixed In Version: glibc-2.14-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-07 04:25:51 UTC


Attachments (Terms of Use)

Description Peng Tao 2011-05-16 03:05:48 UTC
Description of problem:
e.g., rpc/types.h is missing, so is rpc/rpc.h

[Fedora29@~]$yum provides /usr/include/rpc/types.h
Loaded plugins: langpacks, presto, refresh-packagekit
glibc-headers-2.13.90-9.x86_64 : Header files for development using standard C libraries.
Repo        : fedora
Matched from:
Filename    : /usr/include/rpc/types.h

[Fedora29@~]$rpm -ql glibc-headers|grep rpc
/usr/include/rpc
/usr/include/rpc/netdb.h
/usr/include/rpcsvc
/usr/include/rpcsvc/bootparam_prot.h
/usr/include/rpcsvc/key_prot.h
/usr/include/rpcsvc/klm_prot.h
/usr/include/rpcsvc/mount.h
/usr/include/rpcsvc/nfs_prot.h
/usr/include/rpcsvc/nlm_prot.h
/usr/include/rpcsvc/rex.h
/usr/include/rpcsvc/rstat.h
/usr/include/rpcsvc/rusers.h
/usr/include/rpcsvc/sm_inter.h
/usr/include/rpcsvc/spray.h
/usr/include/rpcsvc/yppasswd.h


Version-Release number of selected component (if applicable):
glibc-headers-2.13.90-11.x86_64

How reproducible:
Install and check files.

Steps to Reproduce:
1.install glibc-headers-2.13.90-11.x86_64
2.check for /usr/include/rpc/types.h
  
Actual results:
/usr/include/rpc/types.h is missing.

Expected results:
It should be there.

Additional info:

Comment 1 Peng Tao 2011-05-16 03:15:33 UTC
I have to downgrade  glibc-common glibc glibc-headers glibc-devel from 2.13.90-11 to 2.13.90-9 to fix this.

Comment 2 Jiri Skala 2011-05-17 13:57:19 UTC
The glibc-headers-2.13.90-12 has fixed missing rpc/rpc.h but there persists similar issue:

fatal error: rpcsvc/ypclnt.h: No such file or directory

Comparing 90-9 x 90-12 shows missing:
yp.h
yp_prot.h
ypclnt.h
ypupd.h

Comment 3 Jaroslav Škarvada 2011-05-18 09:45:20 UTC
> Comparing 90-9 x 90-12 shows missing:
> yp.h
> yp_prot.h
> ypclnt.h
> ypupd.h

This blocks rebuild of sendmail.

Comment 4 Honza Horak 2011-05-18 11:10:11 UTC
NIS stuff (ypserv, ypbind and yp-tools) cannot be built either.

Comment 5 Honza Horak 2011-05-18 16:15:49 UTC
There is a new build (2.13.90-13): 
http://koji.fedoraproject.org/koji/buildinfo?buildID=244313

It works good for me and NIS stuff is able to build again.

Comment 6 Jaroslav Škarvada 2011-05-18 17:57:53 UTC
Sendmail builds OK with 2.13.90-13.

Comment 7 Fedora Update System 2011-05-27 15:21:36 UTC
glibc-2.13.90-14 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glibc-2.13.90-14

Comment 8 Fedora Update System 2011-05-27 20:24:46 UTC
Package glibc-2.13.90-14:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.13.90-14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.13.90-14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-02 19:08:47 UTC
Package glibc-2.14-1:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.14-1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.14-1
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-06-04 02:55:42 UTC
Package glibc-2.14-2:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.14-2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.14-2
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-06-07 04:25:02 UTC
glibc-2.14-2 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.